## fcitx5-configtool 5.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
set(CMAKE_DISABLE_SOURCE_CHANGES ON)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
  message(FATAL_ERROR "In-source builds are disabled.
    Please create a subfolder and use `cmake ..` inside it.
    NOTE: cmake will now create CMakeCache.txt and CMakeFiles/*.
          You must delete them, or cmake will refuse to work.")
endif()

project(fcitx5-configtool VERSION 5.0.14)

set(QT_MIN_VERSION "5.12.0")
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMSetupVersion)
include(GenerateExportHeader)
option(ENABLE_KCM "Enable KDE Config Module" On)
option(ENABLE_CONFIG_QT "Enable fcitx5-config-qt" On)
option(ENABLE_TEST "Enable test" Off)
add_definitions(-DTRANSLATION_DOMAIN=\"org.fcitx.fcitx5.kcm\")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-configtool\")
add_definitions(-DQT_NO_KEYWORDS)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Concurrent)

if (ENABLE_CONFIG_QT)
    find_package(KF5ItemViews REQUIRED)
endif()

if (ENABLE_KCM)
    find_package(Qt5QuickControls2 REQUIRED)
    find_package(KF5CoreAddons REQUIRED)
    find_package(KF5I18n REQUIRED)
    find_package(KF5Package REQUIRED)
    find_package(KF5Declarative REQUIRED)
    find_package(KF5IconThemes REQUIRED)
    find_package(KF5Kirigami2 5.68 REQUIRED)
    find_package(XKBCommon REQUIRED COMPONENTS XKBCommon)
    find_package(KF5Plasma REQUIRED)

    if (KF5Kirigami2_VERSION VERSION_LESS 5.76)
        set(DISABLE_UNDER_KIRIGAMI2_5_76 "//Needs Kirigami2 5.76 ")
    else()
        set(DISABLE_UNDER_KIRIGAMI2_5_76 "")
    endif()
endif()

find_package(Fcitx5Core 5.0.4 REQUIRED)
find_package(Fcitx5Config REQUIRED)
find_package(Fcitx5Utils REQUIRED)
find_package(Fcitx5Qt5DBusAddons REQUIRED)
find_package(Fcitx5Qt5WidgetsAddons 5.0.2 REQUIRED)
find_package(Qt5Svg)
set_package_properties(Qt5Svg PROPERTIES
    DESCRIPTION "May be used for show icons"
    TYPE RUNTIME)

get_target_property(FCITX5_QT5_GUI_WRAPPER Fcitx5Qt5::gui-wrapper IMPORTED_LOCATION)

find_package(KF5WidgetsAddons REQUIRED)
find_package(IsoCodes REQUIRED)
kde_enable_exceptions()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(X11 REQUIRED)
find_package(XKeyboardConfig REQUIRED)
pkg_check_modules(XkbFile "xkbfile" REQUIRED IMPORTED_TARGET)

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(layout)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/plasmathemegenerator/CMakeLists.txt ===
add_executable(fcitx5-plasma-theme-generator main.cpp)

target_link_libraries(fcitx5-plasma-theme-generator KF5::Plasma KF5::IconThemes Fcitx5::Utils Fcitx5::Config)

install(TARGETS fcitx5-plasma-theme-generator DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
fcitx5-configtool (5.0.14-4) unstable; urgency=medium

  * Undo package split (Closes: #1015923)
    + Install fcitx5-plasma-theme-generator into kde-config-fcitx5.
    + Install fcitx5-configtool translation files into fcitx5-config-qt.
    + Still let fcitx5-config-qt provides fcitx5-configtool.
    + No longer mark kde-config-fcitx5 as Multi-Arch: same.
    + Properly add Breaks+Provides relationship.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jul 2022 11:02:44 -0400

fcitx5-configtool (5.0.14-3) unstable; urgency=medium

  * Source-only upload.
  * debian/control: Promote fcitx5-configtool-kde as Recommendation
    of package kde-config-fcitx5.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Jul 2022 16:34:58 -0400

fcitx5-configtool (5.0.14-2) unstable; urgency=medium

  * Rename source package name following upstream.
  * Add myself into uploaders list.
  * Split packages:
    + fcitx5-configtool-data
    + fcitx5-configtool-kde (Closes: #1014928)
    + fcitx5-config-qt
    + kde-config-fcitx5
  * debian/copyright: Refresh following upstream recent changes.
  * debian/watch: Monitor upstream tarball release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jul 2022 13:15:28 -0400

kcm-fcitx5 (5.0.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add new build-dep libkf5plasma-dev.
    + Update all binary package description.
    + Let fcitx5-config-qt provides fcitx5-configtool.
  * debian/install: Install /usr/bin/fcitx5-plasma-theme-generator
    into fcitx5-config-qt package.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 15:45:18 -0400

kcm-fcitx5 (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 11:33:16 -0400

kcm-fcitx5 (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 20:02:02 -0400

kcm-fcitx5 (5.0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Feb 2022 17:09:05 -0500

kcm-fcitx5 (5.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jan 2022 17:37:52 -0500

kcm-fcitx5 (5.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.9.
  * debian/control: Require versioned build dependency fcitx5-qt
    5.0.8+.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 14:47:09 -0500

kcm-fcitx5 (5.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.8.
  * debian/control: Manually add runtime dependency: libqt5svg5.
  * Drop icon-related patch:
    - debian/patches/0001-rename-icon-to-fcitx5.patch: Removed.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 13:29:40 -0500

kcm-fcitx5 (5.0.6-2) unstable; urgency=medium

  * Bump fcitx5 and fcitx5-qt versions.
    To rebuild with fixed libexec directory.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 01:51:59 +0800

kcm-fcitx5 (5.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 02:42:58 +0800

kcm-fcitx5 (5.0.5-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 12:38:27 +0800

kcm-fcitx5 (5.0.3-5) experimental; urgency=medium

  * Lower the requirements of qtbase5 to 5.12 to align with CMakeLists.txt

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 May 2021 02:34:31 +0800

kcm-fcitx5 (5.0.3-4) experimental; urgency=medium

  * Lower the requirements of kirigami to 5.68 to align with CMakeLists.txt

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 May 2021 02:06:52 +0800

kcm-fcitx5 (5.0.3-3) unstable; urgency=medium

  * Add missing Depends for kde-config-fcitx5

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 16 May 2021 14:54:13 +0800

kcm-fcitx5 (5.0.3-2) unstable; urgency=medium

  * Backport patch to fix typo in desktop file

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 22 Feb 2021 00:54:24 +0800

kcm-fcitx5 (5.0.3-1) unstable; urgency=medium

  * New upstream release
  * Bump libfcitx5-qt-dev to 5.0.3
  * Install fcitx5-config-qt and fcitx5-migrator desktop files

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 22:22:56 +0800

kcm-fcitx5 (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop kirigami2 patch
  * Bump fcitx5 to 5.0.4
  * Update Standards-Version to 4.5.1 (no changes)
  * Add qtquickcontrols2-5-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 12:24:34 +0800

kcm-fcitx5 (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * Add patch to relax kirigami2 version to 5.74.0
  * Rename icon to org.fcitx.Fcitx5

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 19:13:56 +0800

kcm-fcitx5 (5.0.0-3) unstable; urgency=medium

  * Add libime-bin to fcitx5-config-qt Recommends
    fcitx5-migrator needs libime-bin to migrate pinyin and table data.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 14:24:37 +0800

kcm-fcitx5 (5.0.0-2) unstable; urgency=medium

  * Add fcitx5-migrator to fcitx5-config-qt package.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 12:29:36 +0800

kcm-fcitx5 (5.0.0-1) unstable; urgency=medium

  * New upstream release
  * Apply Multi-Arch hint
  * Bump fcitx5 to 5.0.1
  * Bump libfcitx5-qt-dev to 5.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 01:36:54 +0800

kcm-fcitx5 (0.0~git20201028.fd9831d-1) unstable; urgency=medium

  * New upstream snapshot
  * Upload to unstable
  * Bump libfcitx5-qt-dev to 0.0~git20201029
  * Bump fcitx5 to 0.0~git20201030
  * Not install fcitx5-migrator temporary.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Nov 2020 01:32:01 +0800

kcm-fcitx5 (0.0~git20200822.c8f7e15-2) experimental; urgency=medium

  * Rename fcitx5-configtool to fcitx5-config-qt.
    To follow the name convention like fcitx-config-gtk



## fcitx5-configtool 5.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.0.14)
+project(fcitx5-configtool VERSION 5.0.16)
 
 set(QT_MIN_VERSION "5.12.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)

=== po/CMakeLists.txt ===
add_subdirectory(fcitx5-configtool)
add_subdirectory(org.fcitx.fcitx5.kcm)

=== src/kcm/CMakeLists.txt ===
add_library(kcm_fcitx5 MODULE
    main.cpp
    qtkeytrans.cpp
)

target_link_libraries(kcm_fcitx5
  KF5::CoreAddons
  KF5::I18n
  KF5::QuickAddons
  XKBCommon::XKBCommon
  configlib
)

file(GLOB_RECURSE inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/package/*")
foreach(infileName ${inFiles})
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
        "${CMAKE_CURRENT_BINARY_DIR}/${infileName}" @ONLY
    )
endforeach()


fcitx5_translate_desktop_file(kcm_fcitx5.desktop.in
  kcm_fcitx5.desktop PO_DIRECTORY ${PROJECT_SOURCE_DIR}/po/org.fcitx.fcitx5.kcm)
fcitx5_translate_desktop_file(package/metadata.desktop
  ${CMAKE_CURRENT_BINARY_DIR}/package/metadata.desktop PO_DIRECTORY ${PROJECT_SOURCE_DIR}/po/org.fcitx.fcitx5.kcm)
kcoreaddons_desktop_to_json(kcm_fcitx5 "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx5.desktop" DEFAULT_SERVICE_TYPE)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx5.desktop"
  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS kcm_fcitx5 DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)
# This is a hack against kpackage_install_package
# 1. kpackage_install_package only accept relative path to ${CMAKE_CURRENT_SOURCE_DIR}
# 2. It need metadata.desktop to run properly, but we only have untranslated file at that time.
#    So we just delete the file during the cmake.
file(RELATIVE_PATH RELATIVE_BINARY_DIR ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
kpackage_install_package(${RELATIVE_BINARY_DIR}/package org.fcitx.fcitx5.kcm kcms)
file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/package/metadata.desktop)

=== src/plasmathemegenerator/CMakeLists.txt ===
add_executable(fcitx5-plasma-theme-generator main.cpp)

target_link_libraries(fcitx5-plasma-theme-generator KF5::Plasma KF5::IconThemes KF5::I18n Fcitx5::Utils Fcitx5::Config)

install(TARGETS fcitx5-plasma-theme-generator DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/lib/configwidgetslib/CMakeLists.txt ===
add_library(configwidgetslib STATIC
    configwidget.cpp
    addonselector.cpp
    categoryhelper.cpp
    erroroverlay.cpp
    fontbutton.cpp
    keylistwidget.cpp
    layoutselector.cpp
    listoptionwidget.cpp
    optionwidget.cpp
    varianthelper.cpp
    verticalscrollarea.cpp
    impage.cpp
)
set_target_properties(configwidgetslib PROPERTIES
    POSITION_INDEPENDENT_CODE TRUE
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_include_directories(configwidgetslib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(configwidgetslib Qt5::Core Qt5::Widgets Qt5::X11Extras KF5::WidgetsAddons KF5::ItemViews Fcitx5::Utils Fcitx5Qt5::DBusAddons Fcitx5Qt5::WidgetsAddons configlib layoutlib)

=== src/migrator/lib/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX Fcitx5Migrator
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/migrator_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5MigratorVersion.cmake"
                        SOVERSION 0)

add_library(Fcitx5Migrator SHARED
    migratorfactoryplugin.cpp
    migrator.cpp
    migratorfactory.cpp
    pipeline.cpp
    pipelinejob.cpp
    processrunner.cpp
    dbuscaller.cpp
    dbuswatcher.cpp
    renamefile.cpp
    copydirectory.cpp
    callbackrunner.cpp
    log.cpp
    configmigrator.cpp
    )
target_link_libraries(Fcitx5Migrator Qt5::Core Qt5::Concurrent Qt5::DBus Fcitx5::Config Fcitx5::Utils Fcitx5Qt5::DBusAddons )
set_target_properties(Fcitx5Migrator PROPERTIES
    VERSION ${Fcitx5Migrator_VERSION}
    SOVERSION ${Fcitx5Migrator_SOVERSION}
    EXPORT_NAME Migrator
    AUTOMOC TRUE
    AUTOUIC TRUE
)

target_include_directories(Fcitx5Migrator PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}>")

generate_export_header(Fcitx5Migrator BASE_NAME Fcitx5Migrator)

install(TARGETS Fcitx5Migrator LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

=== src/migrator/rime/CMakeLists.txt ===
add_library(rimemigrator STATIC rimemigrator.cpp)
target_link_libraries(rimemigrator Fcitx5Migrator)
target_compile_definitions(rimemigrator PRIVATE "-DQT_STATICPLUGIN")
set_target_properties(rimemigrator PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

=== debian/changelog ===
fcitx5-configtool (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 14:24:46 -0500

fcitx5-configtool (5.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Sep 2022 15:37:29 -0400

=== debian/control ===
Source: fcitx5-configtool
Priority: optional
Section: kde
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Shengjing Zhu <zhsj@debian.org>,
Build-Depends:
 cmake (>= 3.3),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 iso-codes,
 kirigami2-dev (>= 5.68.0),
 libfcitx5-qt-dev (>= 5.0.8~),
 libfcitx5core-dev (>= 5.0.9-2~),
 libfcitx5utils-dev (>= 5.0.9-2~),
 libkf5coreaddons-dev,
 libkf5declarative-dev,
 libkf5i18n-dev,
 libkf5package-dev,
 libkf5plasma-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxkbcommon-dev,
 libxkbfile-dev,
 pkg-config,
 qtbase5-dev (>= 5.12),
 qtquickcontrols2-5-dev,
 xkb-data,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-configtool
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-configtool

Package: fcitx5-config-qt
Architecture: any
Depends:
 libqt5svg5,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 kde-config-fcitx5 (<< 0.0~git20200822),
 fcitx5-configtool-data (<< 5.0.15),
Replaces:
 kde-config-fcitx5 (<< 0.0~git20200822),
 fcitx5-configtool-data (<< 5.0.15),
Provides:
 fcitx5-configtool,
Recommends:
 libime-bin,
Suggests:
 kde-config-fcitx5,
Description: configuration tool for Fcitx5 (Qt version)
 This is a configuration tool for Fcitx Input Method Framework v5.
 .
 It provides several tools:
  - fcitx5-config-qt.
  - kbd-layout-viewer5.
  - fcitx5-migrator, which helps to migrate data from Fcitx4.
    To migrate Fcitx4 pinyin and table data, it needs tools from
    libime-bin package.

Package: kde-config-fcitx5
Architecture: any
Depends:
 kde-cli-tools,
 libqt5svg5,
 qml-module-org-kde-kcm,
 qml-module-org-kde-kirigami2,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 fcitx5-configtool-kde (<< 5.0.15),
Replaces:
 fcitx5-configtool-kde (<< 5.0.15),
Suggests:
 fcitx5-config-qt,
Description: KDE configuration module for Fcitx5
 This is a configuration module for System Settings for configuring
 Fcitx Input Method Framework v5. It also provides the
 fcitx5-plasma-theme-generator tool.

## fcitx5-configtool 5.0.17

=== debian/changelog ===
fcitx5-configtool (5.0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Jun 2023 16:58:27 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
  Shengjing Zhu <zhsj@debian.org>,
 Build-Depends:
- cmake (>= 3.3),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,

## fcitx5-configtool 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.0.16)
+project(fcitx5-configtool VERSION 5.1.0)
 
 set(QT_MIN_VERSION "5.12.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)

=== debian/changelog ===
fcitx5-configtool (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:42:34 -0400

## fcitx5-configtool 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.0)
+project(fcitx5-configtool VERSION 5.1.2)
 
 set(QT_MIN_VERSION "5.12.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)

=== src/migrator/lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ecm_setup_version(PROJECT VARIABLE_PREFIX Fcitx5Migrator
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/migrator_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5MigratorVersion.cmake"
-                        SOVERSION 0)
+                        SOVERSION 1)
 
 add_library(Fcitx5Migrator SHARED
     migratorfactoryplugin.cpp

=== debian/changelog ===
fcitx5-configtool (5.1.2-1deepin6) unstable; urgency=medium

  * Don't display the desktop entry of keyboard layout viewer

 -- zsien <quezhiyong@deepin.org>  Tue, 21 May 2024 15:30:17 +0800

fcitx5-configtool (5.1.2-1deepin5) unstable; urgency=medium

  * Add Fix_select_all_checkbox_inconsistent.patch.

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 22 Mar 2024 14:21:12 +0800

fcitx5-configtool (5.1.2-1deepin4) unstable; urgency=medium

  * fix #7442
  * fix #7443

 -- Mike Chen <chenke@deepin.org>  Tue, 12 Mar 2024 13:57:54 +0800

fcitx5-configtool (5.1.2-1deepin3) unstable; urgency=medium

  * fix #6900

 -- Mike Chen <chenke@deepin.org>  Thu, 29 Feb 2024 17:42:31 +0800

fcitx5-configtool (5.1.2-1deepin2) unstable; urgency=medium

  * fix #7166

 -- Mike Chen <chenke@deepin.org>  Mon, 26 Feb 2024 11:33:48 +0800

fcitx5-configtool (5.1.2-1deepin1) unstable; urgency=medium

  * add Fix_6417_not_loading_qt_translations.patch.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 02 Jan 2024 14:51:00 +0800

fcitx5-configtool (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 14:49:58 -0500

fcitx5-configtool (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Oct 2023 18:36:24 -0400

## fcitx5-configtool 5.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
set(CMAKE_DISABLE_SOURCE_CHANGES ON)


if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
  message(FATAL_ERROR "In-source builds are disabled.
    Please create a subfolder and use `cmake ..` inside it.
    NOTE: cmake will now create CMakeCache.txt and CMakeFiles/*.
          You must delete them, or cmake will refuse to work.")
endif()

project(fcitx5-configtool VERSION 5.1.4)

option(USE_QT6 "Build with Qt6" Off)

if (USE_QT6)
set(QT_MIN_VERSION "6.5.0")
set(QT_MAJOR_VERSION 6)
else()
set(QT_MIN_VERSION "5.12.0")
set(QT_MAJOR_VERSION 5)
endif()

find_package(ECM 5.68.0 REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Concurrent)

if (QT_MAJOR_VERSION STREQUAL 5)
find_package(Qt${QT_MAJOR_VERSION}X11Extras ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMSetupVersion)
include(GenerateExportHeader)
option(ENABLE_KCM "Enable KDE Config Module" On)
option(ENABLE_CONFIG_QT "Enable fcitx5-config-qt" On)
option(ENABLE_TEST "Enable test" Off)
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_fcitx5\")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-configtool\")
add_definitions(-DQT_NO_KEYWORDS)

if (ENABLE_CONFIG_QT)
    find_package(KF${QT_MAJOR_VERSION}ItemViews REQUIRED)
endif()

if (ENABLE_KCM)
    find_package(Qt${QT_MAJOR_VERSION}Quick REQUIRED)
    find_package(Qt${QT_MAJOR_VERSION}QuickControls2 REQUIRED)
    find_package(KF${QT_MAJOR_VERSION}CoreAddons REQUIRED)
    find_package(KF${QT_MAJOR_VERSION}I18n REQUIRED)
    find_package(KF${QT_MAJOR_VERSION}Package REQUIRED)
    find_package(KF${QT_MAJOR_VERSION}Declarative REQUIRED)
    find_package(KF${QT_MAJOR_VERSION}IconThemes REQUIRED)
    find_package(XKBCommon REQUIRED COMPONENTS XKBCommon)


    if (QT_MAJOR_VERSION STREQUAL 5)
        find_package(KF${QT_MAJOR_VERSION}Plasma REQUIRED)
        find_package(KF${QT_MAJOR_VERSION}Kirigami2 5.68 REQUIRED)
        if (KF${QT_MAJOR_VERSION}Kirigami2_VERSION VERSION_LESS 5.76)
            set(DISABLE_UNDER_KIRIGAMI2_5_76 "//Needs Kirigami2 5.76 ")
        else()
            set(DISABLE_UNDER_KIRIGAMI2_5_76 "")
        endif()
    elseif (QT_MAJOR_VERSION STREQUAL 6)
        find_package(KF${QT_MAJOR_VERSION}Kirigami REQUIRED)
        find_package(Plasma REQUIRED)
        find_package(KF${QT_MAJOR_VERSION}Svg REQUIRED)
        find_package(KF${QT_MAJOR_VERSION}KCMUtils REQUIRED)
    endif()
endif()

find_package(Fcitx5Core 5.0.4 REQUIRED)
find_package(Fcitx5Config REQUIRED)
find_package(Fcitx5Utils REQUIRED)
find_package(Fcitx5Qt${QT_MAJOR_VERSION}DBusAddons 5.1.4 REQUIRED)
find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons 5.0.2 REQUIRED)
find_package(Qt${QT_MAJOR_VERSION}Svg)
set_package_properties(Qt${QT_MAJOR_VERSION}Svg PROPERTIES
    DESCRIPTION "May be used for show icons"
    TYPE RUNTIME)

get_target_property(FCITX5_QT_GUI_WRAPPER Fcitx5Qt${QT_MAJOR_VERSION}::gui-wrapper IMPORTED_LOCATION)

find_package(KF${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
find_package(IsoCodes REQUIRED)
kde_enable_exceptions()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(X11 REQUIRED)
find_package(XKeyboardConfig REQUIRED)
pkg_check_modules(XkbFile "xkbfile" REQUIRED IMPORTED_TARGET)

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(layout)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== layout/CMakeLists.txt ===
add_library(X11Import UNKNOWN IMPORTED)
set_target_properties(X11Import PROPERTIES
    IMPORTED_LOCATION "${X11_X11_LIB}"
    INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")

add_library(X11XkblibImport INTERFACE IMPORTED)
set_target_properties(X11XkblibImport PROPERTIES
    INTERFACE_INCLUDE_DIRECTORIES "${X11_Xkblib_INCLUDE_PATH}")

add_library(layoutlib STATIC keyboardlayoutwidget.cpp)
set_target_properties(layoutlib PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
target_link_libraries(layoutlib PUBLIC Fcitx5::Utils Qt${QT_MAJOR_VERSION}::Widgets PRIVATE X11Import X11XkblibImport PkgConfig::XkbFile)
if (QT_MAJOR_VERSION STREQUAL 5)
target_link_libraries(layoutlib PUBLIC Qt${QT_MAJOR_VERSION}::X11Extras)
endif()
target_include_directories(layoutlib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

set(kbd_layout_viewer_SOURCES
  main.cpp
  )

add_executable(kbd-layout-viewer5 ${kbd_layout_viewer_SOURCES})

target_link_libraries(kbd-layout-viewer5 Fcitx5::Utils Qt${QT_MAJOR_VERSION}::Widgets layoutlib)

install(TARGETS kbd-layout-viewer5 DESTINATION ${KDE_INSTALL_BINDIR})
fcitx5_translate_desktop_file(
  kbd-layout-viewer5.desktop.in
  kbd-layout-viewer5.desktop PO_DIRECTORY ${PROJECT_SOURCE_DIR}/po/fcitx5-configtool)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer5.desktop"
  DESTINATION ${KDE_INSTALL_APPDIR})

=== src/configtool/CMakeLists.txt ===
set(configtool_SRCS
  main.cpp
  mainwindow.cpp
  )

add_executable(fcitx5-config-qt ${configtool_SRCS})
set_target_properties(fcitx5-config-qt
    PROPERTIES
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

target_link_libraries(fcitx5-config-qt
    Qt${QT_MAJOR_VERSION}::Widgets configwidgetslib
)

install(TARGETS fcitx5-config-qt DESTINATION ${CMAKE_INSTALL_BINDIR})
fcitx5_translate_desktop_file(org.fcitx.fcitx5-config-qt.desktop.in
  org.fcitx.fcitx5-config-qt.desktop PO_DIRECTORY ${PROJECT_SOURCE_DIR}/po/fcitx5-configtool)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-config-qt.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== debian/changelog ===
fcitx5-configtool (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:20:39 -0400

fcitx5-configtool (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/*.install: Tweak following upstream changes.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jan 2024 23:53:15 -0500

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  gettext,
  iso-codes,
  kirigami2-dev (>= 5.68.0),
- libfcitx5-qt-dev (>= 5.0.8~),
- libfcitx5core-dev (>= 5.0.9-2~),
- libfcitx5utils-dev (>= 5.0.9-2~),
+ libfcitx5-qt-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1),
+ libfcitx5utils-dev (>= 5.1),
  libkf5coreaddons-dev,
  libkf5declarative-dev,
  libkf5i18n-dev,
@@ -28,7 +28,7 @@
  qtbase5-dev (>= 5.12),
  qtquickcontrols2-5-dev,
  xkb-data,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git

## fcitx5-configtool 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,9 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.4)
+project(fcitx5-configtool VERSION 5.1.6)
 
-option(USE_QT6 "Build with Qt6" Off)
+option(USE_QT6 "Build with Qt6" On)
 
 if (USE_QT6)
 set(QT_MIN_VERSION "6.5.0")

=== debian/changelog ===
fcitx5-configtool (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:32:12 -0400

fcitx5-configtool (5.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly use Qt5.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:08:54 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_QT6=OFF

## fcitx5-configtool 5.1.7

=== debian/changelog ===
fcitx5-configtool (5.1.7-2) unstable; urgency=medium

  * Build with Qt6

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 04 Dec 2024 06:55:46 +0800

fcitx5-configtool (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 14:53:55 -0400

=== debian/control ===
--- 
+++ 
@@ -11,24 +11,27 @@
  extra-cmake-modules,
  gettext,
  iso-codes,
- kirigami2-dev (>= 5.68.0),
- libfcitx5-qt-dev (>= 5.1),
+ libfcitx5-qt6-dev (>= 5.1),
  libfcitx5core-dev (>= 5.1),
  libfcitx5utils-dev (>= 5.1),
- libkf5coreaddons-dev,
- libkf5declarative-dev,
- libkf5i18n-dev,
- libkf5package-dev,
- libkf5plasma-dev,
- libqt5svg5-dev,
- libqt5x11extras5-dev,
+ libkf6coreaddons-dev,
+ libkf6declarative-dev,
+ libkf6i18n-dev,
+ libkf6iconthemes-dev,
+ libkf6itemviews-dev,
+ libkf6kcmutils-dev,
+ libkf6package-dev,
+ libkf6svg-dev,
+ libkf6widgetsaddons-dev,
+ libkirigami-dev,
+ libplasma-dev,
  libxkbcommon-dev,
  libxkbfile-dev,
- pkg-config,
- qtbase5-dev (>= 5.12),
- qtquickcontrols2-5-dev,
+ pkgconf,
+ qt6-base-dev (>= 6.5),
+ qt6-declarative-dev,
  xkb-data,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git
@@ -37,15 +40,14 @@
 Package: fcitx5-config-qt
 Architecture: any
 Depends:
- libqt5svg5,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ fcitx5-configtool-data (<< 5.0.15),
  kde-config-fcitx5 (<< 0.0~git20200822),
+Replaces:
  fcitx5-configtool-data (<< 5.0.15),
-Replaces:
  kde-config-fcitx5 (<< 0.0~git20200822),
- fcitx5-configtool-data (<< 5.0.15),
 Provides:
  fcitx5-configtool,
 Recommends:
@@ -66,9 +68,6 @@
 Architecture: any
 Depends:
  kde-cli-tools,
- libqt5svg5,
- qml-module-org-kde-kcm,
- qml-module-org-kde-kirigami2,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:

## fcitx5-configtool 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.6)
+project(fcitx5-configtool VERSION 5.1.8)
 
 option(USE_QT6 "Build with Qt6" On)
 
@@ -44,8 +44,15 @@
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-configtool\")
 add_definitions(-DQT_NO_KEYWORDS)
 
+set(CONFIG_QT_UNIQUE_APP_SUPPORT 0)
 if (ENABLE_CONFIG_QT)
     find_package(KF${QT_MAJOR_VERSION}ItemViews REQUIRED)
+    find_package(KF${QT_MAJOR_VERSION}DBusAddons 5.91)
+    find_package(KF${QT_MAJOR_VERSION}WindowSystem 5.91)
+
+    if (TARGET KF${QT_MAJOR_VERSION}::DBusAddons AND TARGET KF${QT_MAJOR_VERSION}::WindowSystem)
+        set(CONFIG_QT_UNIQUE_APP_SUPPORT 1)
+    endif()
 endif()
 
 if (ENABLE_KCM)

=== src/plasmathemegenerator/CMakeLists.txt ===
add_executable(fcitx5-plasma-theme-generator main.cpp)

target_link_libraries(fcitx5-plasma-theme-generator
    KF${QT_MAJOR_VERSION}::IconThemes
    KF${QT_MAJOR_VERSION}::I18n
    Fcitx5::Utils
    Fcitx5::Config)

if (QT_MAJOR_VERSION STREQUAL 5)
target_link_libraries(fcitx5-plasma-theme-generator
    KF${QT_MAJOR_VERSION}::Plasma)
elseif (QT_MAJOR_VERSION STREQUAL 6)
target_link_libraries(fcitx5-plasma-theme-generator
    Plasma::Plasma
    KF${QT_MAJOR_VERSION}::Svg)
endif()

install(TARGETS fcitx5-plasma-theme-generator DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/migrator/app/CMakeLists.txt ===
add_executable(fcitx5-migrator main.cpp mainwindow.cpp welcomepage.cpp taskpage.cpp progresspage.cpp)
set_target_properties(fcitx5-migrator PROPERTIES
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
target_link_libraries(fcitx5-migrator
   pinyinmigrator
   skkmigrator
   rimemigrator
   kkcmigrator
   globalconfigmigrator
   tablemigrator
   Qt${QT_MAJOR_VERSION}::Widgets
   KF${QT_MAJOR_VERSION}::WidgetsAddons
   configlib
   Fcitx5Migrator
   Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons
   Fcitx5Qt${QT_MAJOR_VERSION}::DBusAddons)
install(TARGETS fcitx5-migrator DESTINATION ${CMAKE_INSTALL_BINDIR})

fcitx5_translate_desktop_file(org.fcitx.fcitx5-migrator.desktop.in
  org.fcitx.fcitx5-migrator.desktop PO_DIRECTORY ${PROJECT_SOURCE_DIR}/po/fcitx5-configtool)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-migrator.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== src/migrator/pinyin/CMakeLists.txt ===
add_library(pinyinmigrator STATIC pinyinmigrator.cpp)
target_link_libraries(pinyinmigrator Fcitx5Migrator)
target_compile_definitions(pinyinmigrator PRIVATE "-DQT_STATICPLUGIN")
set_target_properties(pinyinmigrator PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

=== debian/changelog ===
fcitx5-configtool (5.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep libkf6dbusaddons-dev,
    libkf6windowsystem-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 20:56:36 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Boyuan Yang <byang@debian.org>,
  Shengjing Zhu <zhsj@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
  iso-codes,
@@ -15,6 +15,7 @@
  libfcitx5core-dev (>= 5.1),
  libfcitx5utils-dev (>= 5.1),
  libkf6coreaddons-dev,
+ libkf6dbusaddons-dev,
  libkf6declarative-dev,
  libkf6i18n-dev,
  libkf6iconthemes-dev,
@@ -23,6 +24,7 @@
  libkf6package-dev,
  libkf6svg-dev,
  libkf6widgetsaddons-dev,
+ libkf6windowsystem-dev,
  libkirigami-dev,
  libplasma-dev,
  libxkbcommon-dev,

## fcitx5-configtool 5.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,25 +11,14 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.8)
+project(fcitx5-configtool VERSION 5.1.10)
 
-option(USE_QT6 "Build with Qt6" On)
-
-if (USE_QT6)
-set(QT_MIN_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.4.0")
 set(QT_MAJOR_VERSION 6)
-else()
-set(QT_MIN_VERSION "5.12.0")
-set(QT_MAJOR_VERSION 5)
-endif()
 
 find_package(ECM 5.68.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Concurrent)
-
-if (QT_MAJOR_VERSION STREQUAL 5)
-find_package(Qt${QT_MAJOR_VERSION}X11Extras ${QT_MIN_VERSION} CONFIG REQUIRED)
-endif()
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -64,25 +53,13 @@
     find_package(KF${QT_MAJOR_VERSION}Declarative REQUIRED)
     find_package(KF${QT_MAJOR_VERSION}IconThemes REQUIRED)
     find_package(XKBCommon REQUIRED COMPONENTS XKBCommon)
-
-
-    if (QT_MAJOR_VERSION STREQUAL 5)
-        find_package(KF${QT_MAJOR_VERSION}Plasma REQUIRED)
-        find_package(KF${QT_MAJOR_VERSION}Kirigami2 5.68 REQUIRED)
-        if (KF${QT_MAJOR_VERSION}Kirigami2_VERSION VERSION_LESS 5.76)
-            set(DISABLE_UNDER_KIRIGAMI2_5_76 "//Needs Kirigami2 5.76 ")
-        else()
-            set(DISABLE_UNDER_KIRIGAMI2_5_76 "")
-        endif()
-    elseif (QT_MAJOR_VERSION STREQUAL 6)
-        find_package(KF${QT_MAJOR_VERSION}Kirigami REQUIRED)
-        find_package(Plasma REQUIRED)
-        find_package(KF${QT_MAJOR_VERSION}Svg REQUIRED)
-        find_package(KF${QT_MAJOR_VERSION}KCMUtils REQUIRED)
-    endif()
+    find_package(KF${QT_MAJOR_VERSION}Kirigami REQUIRED)
+    find_package(Plasma REQUIRED)
+    find_package(KF${QT_MAJOR_VERSION}Svg REQUIRED)
+    find_package(KF${QT_MAJOR_VERSION}KCMUtils REQUIRED)
 endif()
 
-find_package(Fcitx5Core 5.0.4 REQUIRED)
+find_package(Fcitx5Core 5.1.13 REQUIRED)
 find_package(Fcitx5Config REQUIRED)
 find_package(Fcitx5Utils REQUIRED)
 find_package(Fcitx5Qt${QT_MAJOR_VERSION}DBusAddons 5.1.4 REQUIRED)

=== src/kcm/CMakeLists.txt ===
kcmutils_add_qml_kcm(kcm_fcitx5 SOURCES main.cpp)
target_link_libraries(kcm_fcitx5 KF${QT_MAJOR_VERSION}::KCMUtilsQuick)

target_link_libraries(kcm_fcitx5
  Qt${QT_MAJOR_VERSION}::Quick
  KF${QT_MAJOR_VERSION}::CoreAddons
  KF${QT_MAJOR_VERSION}::I18n
  XKBCommon::XKBCommon
  configlib
)

=== src/lib/configwidgetslib/CMakeLists.txt ===
--- 
+++ 
@@ -19,4 +19,14 @@
     AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
 )
 target_include_directories(configwidgetslib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
-target_link_libraries(configwidgetslib Qt5::Core Qt5::Widgets Qt5::X11Extras KF5::WidgetsAddons KF5::ItemViews Fcitx5::Utils Fcitx5Qt5::DBusAddons Fcitx5Qt5::WidgetsAddons configlib layoutlib)
+target_link_libraries(configwidgetslib
+    Qt${QT_MAJOR_VERSION}::Core
+    Qt${QT_MAJOR_VERSION}::Widgets
+    #Qt${QT_MAJOR_VERSION}::X11Extras
+    KF${QT_MAJOR_VERSION}::WidgetsAddons
+    KF${QT_MAJOR_VERSION}::ItemViews
+    Fcitx5::Utils
+    Fcitx5Qt${QT_MAJOR_VERSION}::DBusAddons
+    Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons
+    configlib
+    layoutlib)

=== src/migrator/lib/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     log.cpp
     configmigrator.cpp
     )
-target_link_libraries(Fcitx5Migrator Qt5::Core Qt5::Concurrent Qt5::DBus Fcitx5::Config Fcitx5::Utils Fcitx5Qt5::DBusAddons )
+target_link_libraries(Fcitx5Migrator Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Concurrent Qt${QT_MAJOR_VERSION}::DBus Fcitx5::Config Fcitx5::Utils Fcitx5Qt${QT_MAJOR_VERSION}::DBusAddons )
 set_target_properties(Fcitx5Migrator PROPERTIES
     VERSION ${Fcitx5Migrator_VERSION}
     SOVERSION ${Fcitx5Migrator_SOVERSION}

=== src/migrator/skk/CMakeLists.txt ===
add_library(skkmigrator STATIC skkmigrator.cpp)
target_link_libraries(skkmigrator Fcitx5Migrator)
target_compile_definitions(skkmigrator PRIVATE "-DQT_STATICPLUGIN")
set_target_properties(skkmigrator PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

=== src/migrator/table/CMakeLists.txt ===
add_library(tablemigrator STATIC tablemigrator.cpp)
target_link_libraries(tablemigrator Fcitx5Migrator)
target_compile_definitions(tablemigrator PRIVATE "-DQT_STATICPLUGIN")
set_target_properties(tablemigrator PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

=== debian/changelog ===
fcitx5-configtool (5.1.10-2) unstable; urgency=medium

  * Rebuild with GCC 15. (Closes: #1096616)

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Sep 2025 11:09:13 -0400

fcitx5-configtool (5.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 19:13:55 -0400

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  qt6-base-dev (>= 6.5),
  qt6-declarative-dev,
  xkb-data,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git

## fcitx5-configtool 5.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.10)
+project(fcitx5-configtool VERSION 5.1.11)
 
 set(QT_MIN_VERSION "6.4.0")
 set(QT_MAJOR_VERSION 6)

=== layout/CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,6 @@
 add_library(layoutlib STATIC keyboardlayoutwidget.cpp)
 set_target_properties(layoutlib PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
 target_link_libraries(layoutlib PUBLIC Fcitx5::Utils Qt${QT_MAJOR_VERSION}::Widgets PRIVATE X11Import X11XkblibImport PkgConfig::XkbFile)
-if (QT_MAJOR_VERSION STREQUAL 5)
-target_link_libraries(layoutlib PUBLIC Qt${QT_MAJOR_VERSION}::X11Extras)
-endif()
 target_include_directories(layoutlib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})
 
 set(kbd_layout_viewer_SOURCES

=== po/CMakeLists.txt ===
add_subdirectory(fcitx5-configtool)
add_subdirectory(kcm_fcitx5)

=== po/fcitx5-configtool/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-configtool)

=== src/configtool/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,16 @@
     AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
 
 target_link_libraries(fcitx5-config-qt
-    Qt${QT_MAJOR_VERSION}::Widgets configwidgetslib
+    Qt${QT_MAJOR_VERSION}::Widgets
+    configwidgetslib
 )
+
+if (CONFIG_QT_UNIQUE_APP_SUPPORT)
+    target_link_libraries(fcitx5-config-qt
+        KF${QT_MAJOR_VERSION}::DBusAddons
+        KF${QT_MAJOR_VERSION}::WindowSystem
+    )
+endif()
 
 install(TARGETS fcitx5-config-qt DESTINATION ${CMAKE_INSTALL_BINDIR})
 fcitx5_translate_desktop_file(org.fcitx.fcitx5-config-qt.desktop.in

=== src/lib/CMakeLists.txt ===
add_subdirectory(configlib)

if (ENABLE_CONFIG_QT)
add_subdirectory(configwidgetslib)
endif()

=== src/plasmathemegenerator/CMakeLists.txt ===
add_executable(fcitx5-plasma-theme-generator main.cpp)

target_link_libraries(fcitx5-plasma-theme-generator
    KF${QT_MAJOR_VERSION}::IconThemes
    KF${QT_MAJOR_VERSION}::I18n
    Fcitx5::Utils
    Fcitx5::Config)

target_link_libraries(fcitx5-plasma-theme-generator
    Plasma::Plasma
    KF${QT_MAJOR_VERSION}::Svg)

install(TARGETS fcitx5-plasma-theme-generator DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/migrator/kkc/CMakeLists.txt ===
add_library(kkcmigrator STATIC kkcmigrator.cpp)
target_link_libraries(kkcmigrator Fcitx5Migrator)
target_compile_definitions(kkcmigrator PRIVATE "-DQT_STATICPLUGIN")
set_target_properties(kkcmigrator PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

=== debian/changelog ===
fcitx5-configtool (5.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 09:51:06 -0400

fcitx5-configtool (5.1.10-3) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain again.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:31:45 -0400

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  extra-cmake-modules,
  gettext,
  iso-codes,
- libfcitx5-qt6-dev (>= 5.1),
- libfcitx5core-dev (>= 5.1),
- libfcitx5utils-dev (>= 5.1),
+ libfcitx5-qt6-dev (>= 5.1.10-3~),
+ libfcitx5core-dev (>= 5.1.14-4~),
+ libfcitx5utils-dev (>= 5.1.14-4~),
  libkf6coreaddons-dev,
  libkf6dbusaddons-dev,
  libkf6declarative-dev,

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-configtool/ \
 fcitx5-configtool-@ANY_VERSION@@ARCHIVE_EXT@

## fcitx5-configtool 5.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.11)
+project(fcitx5-configtool VERSION 5.1.12)
 
 set(QT_MIN_VERSION "6.4.0")
 set(QT_MAJOR_VERSION 6)

=== src/lib/configlib/CMakeLists.txt ===
add_library(configlib STATIC
    iso639.cpp
    dbusprovider.cpp
    model.cpp
    addonmodel.cpp
    imconfig.cpp
    logging.cpp
    font.cpp
    layoutmodel.cpp
    layoutprovider.cpp
)
set_target_properties(configlib PROPERTIES
    POSITION_INDEPENDENT_CODE TRUE
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_include_directories(configlib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(configlib
    Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Gui Fcitx5Qt${QT_MAJOR_VERSION}::DBusAddons
    Fcitx5::Core Fcitx5::Utils
    Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons
)

=== debian/changelog ===
fcitx5-configtool (5.1.12-1build1) resolute; urgency=medium

  * Rebuild for Plasma 6.6.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 08:18:27 +0000

fcitx5-configtool (5.1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 22:27:41 -0500

=== debian/control ===
--- 
+++ 
@@ -26,15 +26,14 @@
  libkf6widgetsaddons-dev,
  libkf6windowsystem-dev,
  libkirigami-dev,
- libplasma-dev,
+ libplasma-dev (>= 6.6.1),
  libxkbcommon-dev,
  libxkbfile-dev,
  pkgconf,
  qt6-base-dev (>= 6.5),
  qt6-declarative-dev,
  xkb-data,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-configtool
